Chromium Code Reviews
Help | Chromium Project | Sign in
(8)

Issue 12238002: Views Textfield: Copy on Ctrl+Insert, fix and disable overtype. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years ago by msw
Modified:
2 years ago
Reviewers:
Alexei Svitkine, sky
CC:
chromium-reviews, tfarina, James Su, penghuang+watch_chromium.org, yusukes+watch_chromium.org
Visibility:
Public.

Description

Views Textfield: Copy on Ctrl+Insert, fix and disable overtype. Copy/paste on [Ctrl]/[Shift]+[Insert]; no-op on [Ctrl]+[Shift]+[Insert]. Disable insert/overtype mode toggling on [Insert]. (both of these match Windows native textfield behavior) (note: there is no other way to access overtype mode) Fix overtype cursor rendering for potential future use. (use an unfocused selection color for overtype cursors) (do not attempt to re-color the cursor's associated graphemes) See a screenshot at http://crbug.com/163107#c5 BUG=163107 TEST=Views textfield/omnibox will copy on [Ctrl]+[Insert], paste on [Shift]+[Insert], and no-op on [Insert] and [Ctrl]+[Shift]+[Insert]. R=asvitkine@chromium.org,sky@chromium.org Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=181250

Patch Set 1 : Draw a gray overtype rect instead. #

Patch Set 2 : Disable overtype mode toggle on [Insert]. #

Patch Set 3 : Remove NativeTextfieldViewsTest overtype-mode cases. #

Patch Set 4 : Add [Shift]+[Insert] for paste; no-op on [Ctrl]+[Shift]+[Insert]. #

Patch Set 5 : Expand unit tests. #

Messages

Total messages: 8 (0 generated)
msw
Hey Alexei and Scott, please take a look; thanks!
2 years ago (2013-02-06 02:28:15 UTC) #1
Alexei Svitkine
code LGTM We want this behaviour on non-Windows platforms too?
2 years ago (2013-02-06 02:47:48 UTC) #2
msw
On 2013/02/06 02:47:48, Alexei Svitkine wrote: > We want this behaviour on non-Windows platforms too? ...
2 years ago (2013-02-06 02:59:24 UTC) #3
sky
LGTM - but how about shift-insert for paste?
2 years ago (2013-02-06 15:59:26 UTC) #4
msw
Added [Shift]+[Insert] for paste; made [Ctrl]+[Shift]+[Insert] no-op; landing.
2 years ago (2013-02-06 18:16:57 UTC) #5
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/msw@chromium.org/12238002/4002
2 years ago (2013-02-06 18:17:51 UTC) #6
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/msw@chromium.org/12238002/4003
2 years ago (2013-02-07 04:25:34 UTC) #7
I haz the power (commit-bot)
2 years ago (2013-02-07 07:52:09 UTC) #8
Message was sent while issue was closed.
Change committed as 181250
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 87e6a26